Loading...
Searching...
No Matches
disarray_mpi.icc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class Map , class SetOp >
void | stash_set (Map &stash, typename Map::size_type dis_i, const typename Map::mapped_type &val, const SetOp &set_op, std::false_type)
template<class MultiMap , class U >
void | stash_set (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, const details::generic_set_op &, std::true_type)
template<class MultiMap , class U >
void | stash_set_plus_multi (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, const details::generic_set_plus_op &set_op, std::false_type)
template<class MultiMap , class U >
void | stash_set_plus_multi (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, const details::generic_set_plus_op &set_op, std::true_type)
template<class MultiMap , class U >
void | stash_set (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, const details::generic_set_plus_op &set_op, std::true_type)